# CreateMenu

Objects
Menu
5.1 OC
bool
id symbol The picture of this object definition is used as symbol.
object command_object Object to receive the menu command (see AddMenuItem). Can be `nil` in local calls.
int extra Additional information to be displayed about the currently selected entry. C4MN_ values are now also defined as constants:

Constant
Value
Effect
C4MN_Extra_None
0
Nothing
C4MN_Extra_Components
1
Components
C4MN_Extra_Value
2
Value
C4MN_Extra_MagicValue
3
Value as magic value. extra_data is also displayed for comparison, e.g. "50/100".
C4MN_Extra_Info
4
Display object description immediately.
C4MN_Extra_ComponentsMagic
5
Display components and magic value.

string caption Text to be displayed if the menu is empty.
int extra_data Comparison value for extra 3.
int style Appearance of the menu. The following constants are defined:

Constant
Value
Appearance
C4MN_Style_Normal
0
Normal
C4MN_Style_Context
1
Context menu
C4MN_Style_Info
2
Info menu
C4MN_Style_Dialog
3
Dialog
C4MN_Style_EqualItemHeight
128
Can be combined with C4MN_Style_Dialog: all entries with an icon are drawn with the same height.

bool permanent The menu stays open after an entry has been selected.
id menu_id If specified, this id is used as menu id. The current menu id is returned by GetMenu
Creates a user defined menu for the specified object. Menu entries are to be added using AddMenuItem.
see AddMenuItem
AddMenuItem
SelectMenuItem
GetMenu
CloseMenu
springer
2002-04
Sven2
2007-03